RIO_MPORT_IS_ACTIVE(9)

NAME
rio_mport_is_active - Tests if master port link is active

SYNOPSIS

int rio_mport_is_active(struct rio_mport * port);

ARGUMENTS

port
    Master port to test

DESCRIPTION

Reads the port error status CSR for the master port to determine if the port has an active link. Returns RIO_PORT_N_ERR_STS_PORT_OK if the master port is active or 0 if it is inactive.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT